log4cplus::ErrorHandler Class Referenceabstract

This class is used to "handle" errors encountered in an `log4cplus::Appender`. More...

`#include <appender.h>`

Inheritance diagram for log4cplus::ErrorHandler:
[legend]

## Public Member Functions

| ErrorHandler ()
virtual | ~ErrorHandler ()=0
virtual void | error (const log4cplus::tstring &err)=0
virtual void | reset ()=0

## Detailed Description

This class is used to "handle" errors encountered in an `log4cplus::Appender`.

Definition at line 61 of file appender.h.

## Constructor & Destructor Documentation

## ErrorHandler()

log4cplus::ErrorHandler::ErrorHandler | ( |  | ) |

## ~ErrorHandler()

virtual log4cplus::ErrorHandler::~ErrorHandler | ( |  | ) |

pure virtual

## Member Function Documentation

## error()

virtual void log4cplus::ErrorHandler::error | ( | const log4cplus::tstring & | err | ) |

pure virtual

Implemented in log4cplus::OnlyOnceErrorHandler.

## reset()

virtual void log4cplus::ErrorHandler::reset | ( |  | ) |

pure virtual

Implemented in log4cplus::OnlyOnceErrorHandler.

The documentation for this class was generated from the following file:

- appender.h